%global commit 9f902a1c5a7139aa27d08f6c05e491c384aac243
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname urdfdom_headers

Name:		urdfdom-headers
Version:	0.3.0
Release:	2%{?dist}
Summary:	The URDF (U-Robot Description Format) headers

Group:		Development/Libraries
License:	BSD
URL:		http://ros.org/wiki/urdf
Source0:        https://github.com/ros/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz
# This patch moves the pkgconfig file to /usr/share and moves the headers
# to the "urdf" subdirectory of /usr/include
# Not submitted upstream.
Patch0:		urdfdom-headers-0.3.0-fedora.patch
BuildArch:	noarch
BuildRequires:	cmake

%description
%{summary}

%package devel
Summary: The URDF (U-Robot Description Format) headers
Requires: pkgconfig
BuildArch: noarch
Provides: %{name}-static = %{version}-%{release}

%description devel
The URDF (U-Robot Description Format) headers provides core data structure
headers for URDF.

For now, the details of the URDF specifications reside on
http://ros.org/wiki/urdf

%prep
%setup -qn %{realname}-%{commit}
%patch0 -p0 -b .fedora

%build
mkdir build; pushd build
%cmake ..
popd
make -C build %{?_smp_mflags}


%install
make -C build install DESTDIR=%{buildroot}

%files devel
%doc LICENSE README.txt
%{_includedir}/urdf
%{_includedir}/urdf_world
%{_datadir}/pkgconfig/*.pc
%{_datadir}/%{realname}

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 16 2014 Rich Mattes <richmattes@gmail.com> - 0.3.0-1
- Update to release 0.3.0

* Mon Aug 19 2013 Rich Mattes <richmattes@gmail.com> - 0.2.3-1
- Update to release 0.2.3
- Move upstream to github

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 09 2013 Rich Mattes <richmattes@gmail.com> - 0.2.2-2
- Added -static virtual provides to -devel subpackage
- Moved package description to -devel subpackage

* Tue Mar 12 2013 Rich Mattes <richmattes@gmail.com> - 0.2.2-1
- Update to release 0.2.2
- Don't install incorrect LICENSE file

* Tue Oct 16 2012 Rich Mattes <richmattes@gmail.com> - 0.2.1-1
- Update to release 0.2.1

* Wed Sep 26 2012 Rich Mattes <richmattes@gmail.com> - 0.2.0-1
- Initial package
